Subject: bug#67442: [PATCH] eglot: Add ruff-lsp as an alternative python server

From: João Távora <[email-masked]>
Date: Sat, 25 Nov 2023 12:39:22 +0000

On Sat, Nov 25, 2023, 11:09 Eli Zaretskii <[email-masked]> wrote:

> > From: Niall Dooley <[email-masked]>
> > Date: Fri, 24 Nov 2023 23:42:28 +0100
> >
> > ruff-lsp [1] is a Language Server Protocol implementation for Ruff [2,
> > 3], an extremely fast Python linter and code formatter, written in
> > Rust.
> >
> > It supports surfacing Ruff diagnostics and providing Code Actions to
> > fix them, but is intended to be used alongside another Python LSP in
> > order to support features like navigation and autocompletion.
>
> What do you mean by "alongside"?
>
> João, does Eglot support such "alongside" servers?
>

No. This is a feature on my to-do list, but alas I haven't had time to work
on it.

João